/*
 *  Simple test program -- simplified version of sample test hello.
 */

#include <bsp.h>

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "../led.h"

void *POSIX_Init(
  void *argument
)
{
  puts( "\n\n*** LED BLINKER -- nanosleep ***" );

  while (1) {

    (void) sleep( 1 );
    LED_ON();
    (void) sleep( 1 );
    LED_OFF();

  }
  exit( 0 );
}

/* configuration information */

#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER

#define CONFIGURE_POSIX_INIT_THREAD_TABLE

#define CONFIGURE_MAXIMUM_POSIX_THREADS 2

#define CONFIGURE_INIT

#include <confdefs.h>

/* end of file */
