/*
 *  LED -- simple LED support
 *
 *  $Id: led.h,v 1.3 2003/11/03 20:57:40 joel Exp $
 */

#ifndef __LED_h
#define __LED_h

#define __LONG_LED

#include <stdio.h>

#if defined(__LONG_LED)

#define __LED_PRINTING 1
#define LED_ON()  fputs( "LED ON\n", stderr )
#define LED_OFF() fputs( "LED OFF\n", stderr )

#elif defined(mbx860)

#define MBX_LED_REG *((volatile unsigned char *)0xfa100001)

#define LED_ON()  MBX_LED_REG = 0x0F
#define LED_OFF() MBX_LED_REG = 0x00

#else

/* some real hardware stuff might go here */
#error "no definition was tripped"

#endif

#endif
